Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThomas Wolf2019-06-13 14:26:16 -0400
committerThomas Wolf2019-06-13 14:26:16 -0400
commit347fd6ae9b9b2e2ae5193e1c62164537d24f6334 (patch)
tree2d1e006cb81faff3db091b78cf78ed473829f528
parent92ac012b21f231dd31f2fa32cf23904966aa61cf (diff)
downloadegit-347fd6ae9b9b2e2ae5193e1c62164537d24f6334.tar.gz
egit-347fd6ae9b9b2e2ae5193e1c62164537d24f6334.tar.xz
egit-347fd6ae9b9b2e2ae5193e1c62164537d24f6334.zip
[releng] Oomph setup: update and rotate API baselines
Drop the 5.1.1 baseline and add the 5.4.0 baseline. Change-Id: I9cdf34e94ecde93cd9b77feb35c2d5e20ad7e47f Signed-off-by: Thomas Wolf <thomas.wolf@paranor.ch>
-rw-r--r--tools/oomph/EGit.setup22
1 files changed, 11 insertions, 11 deletions
diff --git a/tools/oomph/EGit.setup b/tools/oomph/EGit.setup
index 770c9e34a..29334584f 100644
--- a/tools/oomph/EGit.setup
+++ b/tools/oomph/EGit.setup
@@ -105,15 +105,6 @@
xsi:type="pde:APIBaselineTask"
name="EGit"
activate="false"
- version="5.1.1"
- location="${workspace.location/../api.baseline/5.1.1}"
- remoteURI="http://download.eclipse.org/egit/updates-5.1.1/org.eclipse.egit.repository-5.1.1.201809181055-r.zip">
- <description>EGit 5.1.1 API baseline; to be used with branch stable-5.2</description>
- </setupTask>
- <setupTask
- xsi:type="pde:APIBaselineTask"
- name="EGit"
- activate="false"
version="5.2.0"
location="${workspace.location/../api.baseline/5.2.0}"
remoteURI="http://download.eclipse.org/egit/updates-5.2/org.eclipse.egit.repository-5.2.0.201812061821-r.zip">
@@ -122,10 +113,19 @@
<setupTask
xsi:type="pde:APIBaselineTask"
name="EGit"
+ activate="false"
version="5.3.0"
location="${workspace.location/../api.baseline/5.3.0}"
remoteURI="http://download.eclipse.org/egit/updates-5.3/org.eclipse.egit.repository-5.3.0.201903130848-r.zip">
- <description>EGit 5.3.0 API baseline; to be used with branch master</description>
+ <description>EGit 5.3.0 API baseline; to be used with branch stable-5.4</description>
+ </setupTask>
+ <setupTask
+ xsi:type="pde:APIBaselineTask"
+ name="EGit"
+ version="5.4.0"
+ location="${workspace.location/../api.baseline/5.4.0}"
+ remoteURI="http://download.eclipse.org/egit/updates-5.4/org.eclipse.egit.repository-5.4.0.201906121030-r.zip">
+ <description>EGit 5.4.0 API baseline; to be used with branch master</description>
</setupTask>
<stream name="master"
label="Workspace setup for branch master">
@@ -134,7 +134,7 @@
name="eclipse.target.platform"
defaultValue="egit-4.6"
storageURI="scope://Workspace">
- <description>Default target platform for EGit development. Must be >= egit-4.6, otherwise the smartimport fragment will not compile.</description>
+ <description>Default target platform for EGit development. Corresponds to the minimum required platform version.</description>
</setupTask>
<setupTask
xsi:type="git:GitCloneTask"

Back to the top